- Qt 5.15
- Qt Sensors
- C++ Classes
- QAmbientTemperatureFilter
- Qt 5.15.11 Reference Documentation

# QAmbientTemperatureFilter Class

The QAmbientTemperatureFilter class is a convenience wrapper around QSensorFilter. More...

Header: | #include <QAmbientTemperatureFilter>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorFilter

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Public Functions

virtual bool | filter(QAmbientTemperatureReading *reading) = 0

## Detailed Description

The only difference is that the filter() method features a pointer to QAmbientTemperatureReading instead of QSensorReading.

## Member Function Documentation

### `[pure virtual]` bool QAmbientTemperatureFilter::filter(QAmbientTemperatureReading *reading)

Called when reading changes. Returns false to prevent the reading from propagating.

See also QSensorFilter::filter().